怎么在Ubuntu18 安装 RabbitMQ

Posted by

要在 Ubuntu 16 ,18,20 上安装 RabbitMQ,请输入以下命令:

sudo apt install -y rabbitmq-server

输出结果:

sudo apt install -y rabbitmq-server
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following additional packages will be installed:
  erlang-asn1 erlang-base erlang-corba erlang-crypto erlang-diameter erlang-edoc erlang-eldap
  erlang-erl-docgen erlang-eunit erlang-ic erlang-inets erlang-mnesia erlang-nox erlang-odbc
  erlang-os-mon erlang-parsetools erlang-public-key erlang-runtime-tools erlang-snmp erlang-ssh
  erlang-ssl erlang-syntax-tools erlang-tools erlang-xmerl libodbc1 libpython-stdlib
  libpython2.7-minimal libpython2.7-stdlib libsctp1 python python-minimal python2.7 python2.7-minimal
  socat
Suggested packages:
  erlang erlang-manpages erlang-doc xsltproc fop erlang-ic-java libmyodbc odbc-postgresql tdsodbc
  unixodbc-bin lksctp-tools python-doc python-tk python2.7-doc binfmt-support
The following NEW packages will be installed:
  erlang-asn1 erlang-base erlang-corba erlang-crypto erlang-diameter erlang-edoc erlang-eldap
  erlang-erl-docgen erlang-eunit erlang-ic erlang-inets erlang-mnesia erlang-nox erlang-odbc
  erlang-os-mon erlang-parsetools erlang-public-key erlang-runtime-tools erlang-snmp erlang-ssh
  erlang-ssl erlang-syntax-tools erlang-tools erlang-xmerl libodbc1 libpython-stdlib
  libpython2.7-minimal libpython2.7-stdlib libsctp1 python python-minimal python2.7 python2.7-minimal
  rabbitmq-server socat
0 upgraded, 35 newly installed, 0 to remove and 73 not upgraded.
Need to get 28.8 MB of archives.
After this operation, 58.3 MB of additional disk space will be used.
Get:1 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 libpython2.7-minimal amd64 2.7.17-1~18.04ubuntu1.8 [336 kB]
Get:2 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 python2.7-minimal amd64 2.7.17-1~18.04ubuntu1.8 [1,289 kB]
Get:3 http://archive.ubuntu.com/ubuntu bionic/main amd64 python-minimal amd64 2.7.15~rc1-1 [28.1 kB]  
Get:4 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 libpython2.7-stdlib amd64 2.7.17-1~18.04ubuntu1.8 [1,916 kB]
Get:5 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 python2.7 amd64 2.7.17-1~18.04ubuntu1.8 [248 kB]
Get:6 http://archive.ubuntu.com/ubuntu bionic/main amd64 libpython-stdlib amd64 2.7.15~rc1-1 [7,620 B]
Get:7 http://archive.ubuntu.com/ubuntu bionic/main amd64 python amd64 2.7.15~rc1-1 [140 kB]           
Get:8 http://archive.ubuntu.com/ubuntu bionic/main amd64 erlang-base amd64 1:20.2.2+dfsg-1ubuntu2 [7,323 kB]
Get:9 http://archive.ubuntu.com/ubuntu bionic/main amd64 erlang-asn1 amd64 1:20.2.2+dfsg-1ubuntu2 [724 kB]
Get:10 http://archive.ubuntu.com/ubuntu bionic/main amd64 erlang-mnesia amd64 1:20.2.2+dfsg-1ubuntu2 [724 kB]
Get:11 http://archive.ubuntu.com/ubuntu bionic/main amd64 erlang-runtime-tools amd64 1:20.2.2+dfsg-1ubuntu2 [178 kB]
Get:12 http://archive.ubuntu.com/ubuntu bionic/main amd64 erlang-crypto amd64 1:20.2.2+dfsg-1ubuntu2 [104 kB]
Get:13 http://archive.ubuntu.com/ubuntu bionic/main amd64 erlang-public-key amd64 1:20.2.2+dfsg-1ubuntu2 [561 kB]
Get:14 http://archive.ubuntu.com/ubuntu bionic/main amd64 erlang-ssl amd64 1:20.2.2+dfsg-1ubuntu2 [814 kB]
Get:15 http://archive.ubuntu.com/ubuntu bionic/main amd64 erlang-inets amd64 1:20.2.2+dfsg-1ubuntu2 [711 kB]
Get:16 http://archive.ubuntu.com/ubuntu bionic/main amd64 erlang-corba amd64 1:20.2.2+dfsg-1ubuntu2 [2,251 kB]
Get:17 http://archive.ubuntu.com/ubuntu bionic/main amd64 erlang-syntax-tools amd64 1:20.2.2+dfsg-1ubuntu2 [345 kB]
Get:18 http://archive.ubuntu.com/ubuntu bionic/main amd64 erlang-diameter amd64 1:20.2.2+dfsg-1ubuntu2 [647 kB]
Get:19 http://archive.ubuntu.com/ubuntu bionic/main amd64 erlang-xmerl amd64 1:20.2.2+dfsg-1ubuntu2 [964 kB]
Get:20 http://archive.ubuntu.com/ubuntu bionic/main amd64 erlang-edoc amd64 1:20.2.2+dfsg-1ubuntu2 [283 kB]
Get:21 http://archive.ubuntu.com/ubuntu bionic/main amd64 erlang-eldap amd64 1:20.2.2+dfsg-1ubuntu2 [101 kB]
Get:22 http://archive.ubuntu.com/ubuntu bionic/main amd64 erlang-erl-docgen amd64 1:20.2.2+dfsg-1ubuntu2 [118 kB]
Get:23 http://archive.ubuntu.com/ubuntu bionic/main amd64 erlang-eunit amd64 1:20.2.2+dfsg-1ubuntu2 [136 kB]
Get:24 http://archive.ubuntu.com/ubuntu bionic/main amd64 erlang-ic amd64 1:20.2.2+dfsg-1ubuntu2 [817 kB]
Get:25 http://archive.ubuntu.com/ubuntu bionic/main amd64 libodbc1 amd64 2.3.4-1.1ubuntu3 [183 kB]    
Get:26 http://archive.ubuntu.com/ubuntu bionic/main amd64 erlang-odbc amd64 1:20.2.2+dfsg-1ubuntu2 [47.5 kB]
Get:27 http://archive.ubuntu.com/ubuntu bionic/main amd64 erlang-snmp amd64 1:20.2.2+dfsg-1ubuntu2 [1,531 kB]
Get:28 http://archive.ubuntu.com/ubuntu bionic/main amd64 erlang-os-mon amd64 1:20.2.2+dfsg-1ubuntu2 [90.4 kB]
Get:29 http://archive.ubuntu.com/ubuntu bionic/main amd64 erlang-parsetools amd64 1:20.2.2+dfsg-1ubuntu2 [153 kB]
Get:30 http://archive.ubuntu.com/ubuntu bionic/main amd64 erlang-ssh amd64 1:20.2.2+dfsg-1ubuntu2 [508 kB]
Get:31 http://archive.ubuntu.com/ubuntu bionic/main amd64 erlang-tools amd64 1:20.2.2+dfsg-1ubuntu2 [503 kB]
Get:32 http://archive.ubuntu.com/ubuntu bionic/main amd64 erlang-nox all 1:20.2.2+dfsg-1ubuntu2 [13.4 kB]
Get:33 http://archive.ubuntu.com/ubuntu bionic/main amd64 libsctp1 amd64 1.0.17+dfsg-2 [8,008 B]      
Get:34 http://archive.ubuntu.com/ubuntu bionic/main amd64 socat amd64 1.7.3.2-2ubuntu2 [342 kB]       
Get:35 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 rabbitmq-server all 3.6.10-1ubuntu0.5 [4,654 kB]
Fetched 28.8 MB in 41s (698 kB/s)                                                                     
Extracting templates from packages: 100%
Selecting previously unselected package libpython2.7-minimal:amd64.
(Reading database ... 112351 files and directories currently installed.)
Preparing to unpack .../0-libpython2.7-minimal_2.7.17-1~18.04ubuntu1.8_amd64.deb ...
Unpacking libpython2.7-minimal:amd64 (2.7.17-1~18.04ubuntu1.8) ...
Selecting previously unselected package python2.7-minimal.
Preparing to unpack .../1-python2.7-minimal_2.7.17-1~18.04ubuntu1.8_amd64.deb ...
Unpacking python2.7-minimal (2.7.17-1~18.04ubuntu1.8) ...
Selecting previously unselected package python-minimal.
Preparing to unpack .../2-python-minimal_2.7.15~rc1-1_amd64.deb ...
Unpacking python-minimal (2.7.15~rc1-1) ...
Selecting previously unselected package libpython2.7-stdlib:amd64.
Preparing to unpack .../3-libpython2.7-stdlib_2.7.17-1~18.04ubuntu1.8_amd64.deb ...
Unpacking libpython2.7-stdlib:amd64 (2.7.17-1~18.04ubuntu1.8) ...
Selecting previously unselected package python2.7.
Preparing to unpack .../4-python2.7_2.7.17-1~18.04ubuntu1.8_amd64.deb ...
Unpacking python2.7 (2.7.17-1~18.04ubuntu1.8) ...
Selecting previously unselected package libpython-stdlib:amd64.
Preparing to unpack .../5-libpython-stdlib_2.7.15~rc1-1_amd64.deb ...
Unpacking libpython-stdlib:amd64 (2.7.15~rc1-1) ...
Setting up libpython2.7-minimal:amd64 (2.7.17-1~18.04ubuntu1.8) ...
Setting up python2.7-minimal (2.7.17-1~18.04ubuntu1.8) ...
Linking and byte-compiling packages for runtime python2.7...
Setting up python-minimal (2.7.15~rc1-1) ...
Selecting previously unselected package python.
(Reading database ... 113099 files and directories currently installed.)
Preparing to unpack .../00-python_2.7.15~rc1-1_amd64.deb ...
Unpacking python (2.7.15~rc1-1) ...
Selecting previously unselected package erlang-base.
Preparing to unpack .../01-erlang-base_1%3a20.2.2+dfsg-1ubuntu2_amd64.deb ...
Unpacking erlang-base (1:20.2.2+dfsg-1ubuntu2) ...
Selecting previously unselected package erlang-asn1.
Preparing to unpack .../02-erlang-asn1_1%3a20.2.2+dfsg-1ubuntu2_amd64.deb ...
Unpacking erlang-asn1 (1:20.2.2+dfsg-1ubuntu2) ...
Selecting previously unselected package erlang-mnesia.
Preparing to unpack .../03-erlang-mnesia_1%3a20.2.2+dfsg-1ubuntu2_amd64.deb ...
Unpacking erlang-mnesia (1:20.2.2+dfsg-1ubuntu2) ...
Selecting previously unselected package erlang-runtime-tools.
Preparing to unpack .../04-erlang-runtime-tools_1%3a20.2.2+dfsg-1ubuntu2_amd64.deb ...
Unpacking erlang-runtime-tools (1:20.2.2+dfsg-1ubuntu2) ...
Selecting previously unselected package erlang-crypto.
Preparing to unpack .../05-erlang-crypto_1%3a20.2.2+dfsg-1ubuntu2_amd64.deb ...
Unpacking erlang-crypto (1:20.2.2+dfsg-1ubuntu2) ...
Selecting previously unselected package erlang-public-key.
Preparing to unpack .../06-erlang-public-key_1%3a20.2.2+dfsg-1ubuntu2_amd64.deb ...
Unpacking erlang-public-key (1:20.2.2+dfsg-1ubuntu2) ...
Selecting previously unselected package erlang-ssl.
Preparing to unpack .../07-erlang-ssl_1%3a20.2.2+dfsg-1ubuntu2_amd64.deb ...
Unpacking erlang-ssl (1:20.2.2+dfsg-1ubuntu2) ...
Selecting previously unselected package erlang-inets.
Preparing to unpack .../08-erlang-inets_1%3a20.2.2+dfsg-1ubuntu2_amd64.deb ...
Unpacking erlang-inets (1:20.2.2+dfsg-1ubuntu2) ...
Selecting previously unselected package erlang-corba.
Preparing to unpack .../09-erlang-corba_1%3a20.2.2+dfsg-1ubuntu2_amd64.deb ...
Unpacking erlang-corba (1:20.2.2+dfsg-1ubuntu2) ...
Selecting previously unselected package erlang-syntax-tools.
Preparing to unpack .../10-erlang-syntax-tools_1%3a20.2.2+dfsg-1ubuntu2_amd64.deb ...
Unpacking erlang-syntax-tools (1:20.2.2+dfsg-1ubuntu2) ...
Selecting previously unselected package erlang-diameter.
Preparing to unpack .../11-erlang-diameter_1%3a20.2.2+dfsg-1ubuntu2_amd64.deb ...
Unpacking erlang-diameter (1:20.2.2+dfsg-1ubuntu2) ...
Selecting previously unselected package erlang-xmerl.
Preparing to unpack .../12-erlang-xmerl_1%3a20.2.2+dfsg-1ubuntu2_amd64.deb ...
Unpacking erlang-xmerl (1:20.2.2+dfsg-1ubuntu2) ...
Selecting previously unselected package erlang-edoc.
Preparing to unpack .../13-erlang-edoc_1%3a20.2.2+dfsg-1ubuntu2_amd64.deb ...
Unpacking erlang-edoc (1:20.2.2+dfsg-1ubuntu2) ...
Selecting previously unselected package erlang-eldap.
Preparing to unpack .../14-erlang-eldap_1%3a20.2.2+dfsg-1ubuntu2_amd64.deb ...
Unpacking erlang-eldap (1:20.2.2+dfsg-1ubuntu2) ...
Selecting previously unselected package erlang-erl-docgen.
Preparing to unpack .../15-erlang-erl-docgen_1%3a20.2.2+dfsg-1ubuntu2_amd64.deb ...
Unpacking erlang-erl-docgen (1:20.2.2+dfsg-1ubuntu2) ...
Selecting previously unselected package erlang-eunit.
Preparing to unpack .../16-erlang-eunit_1%3a20.2.2+dfsg-1ubuntu2_amd64.deb ...
Unpacking erlang-eunit (1:20.2.2+dfsg-1ubuntu2) ...
Selecting previously unselected package erlang-ic.
Preparing to unpack .../17-erlang-ic_1%3a20.2.2+dfsg-1ubuntu2_amd64.deb ...
Unpacking erlang-ic (1:20.2.2+dfsg-1ubuntu2) ...
Selecting previously unselected package libodbc1:amd64.
Preparing to unpack .../18-libodbc1_2.3.4-1.1ubuntu3_amd64.deb ...
Unpacking libodbc1:amd64 (2.3.4-1.1ubuntu3) ...
Selecting previously unselected package erlang-odbc.
Preparing to unpack .../19-erlang-odbc_1%3a20.2.2+dfsg-1ubuntu2_amd64.deb ...
Unpacking erlang-odbc (1:20.2.2+dfsg-1ubuntu2) ...
Selecting previously unselected package erlang-snmp.
Preparing to unpack .../20-erlang-snmp_1%3a20.2.2+dfsg-1ubuntu2_amd64.deb ...
Unpacking erlang-snmp (1:20.2.2+dfsg-1ubuntu2) ...
Selecting previously unselected package erlang-os-mon.
Preparing to unpack .../21-erlang-os-mon_1%3a20.2.2+dfsg-1ubuntu2_amd64.deb ...
Unpacking erlang-os-mon (1:20.2.2+dfsg-1ubuntu2) ...
Selecting previously unselected package erlang-parsetools.
Preparing to unpack .../22-erlang-parsetools_1%3a20.2.2+dfsg-1ubuntu2_amd64.deb ...
Unpacking erlang-parsetools (1:20.2.2+dfsg-1ubuntu2) ...
Selecting previously unselected package erlang-ssh.
Preparing to unpack .../23-erlang-ssh_1%3a20.2.2+dfsg-1ubuntu2_amd64.deb ...
Unpacking erlang-ssh (1:20.2.2+dfsg-1ubuntu2) ...
Selecting previously unselected package erlang-tools.
Preparing to unpack .../24-erlang-tools_1%3a20.2.2+dfsg-1ubuntu2_amd64.deb ...
Unpacking erlang-tools (1:20.2.2+dfsg-1ubuntu2) ...
Selecting previously unselected package erlang-nox.
Preparing to unpack .../25-erlang-nox_1%3a20.2.2+dfsg-1ubuntu2_all.deb ...
Unpacking erlang-nox (1:20.2.2+dfsg-1ubuntu2) ...
Selecting previously unselected package libsctp1:amd64.
Preparing to unpack .../26-libsctp1_1.0.17+dfsg-2_amd64.deb ...
Unpacking libsctp1:amd64 (1.0.17+dfsg-2) ...
Selecting previously unselected package socat.
Preparing to unpack .../27-socat_1.7.3.2-2ubuntu2_amd64.deb ...
Unpacking socat (1.7.3.2-2ubuntu2) ...
Selecting previously unselected package rabbitmq-server.
Preparing to unpack .../28-rabbitmq-server_3.6.10-1ubuntu0.5_all.deb ...
Unpacking rabbitmq-server (3.6.10-1ubuntu0.5) ...
Setting up libodbc1:amd64 (2.3.4-1.1ubuntu3) ...
Setting up erlang-base (1:20.2.2+dfsg-1ubuntu2) ...
Searching for services which depend on erlang and should be started...none found.
Setting up libsctp1:amd64 (1.0.17+dfsg-2) ...
Setting up erlang-ic (1:20.2.2+dfsg-1ubuntu2) ...
Setting up socat (1.7.3.2-2ubuntu2) ...
Setting up erlang-xmerl (1:20.2.2+dfsg-1ubuntu2) ...
Setting up erlang-crypto (1:20.2.2+dfsg-1ubuntu2) ...
Setting up erlang-asn1 (1:20.2.2+dfsg-1ubuntu2) ...
Setting up erlang-mnesia (1:20.2.2+dfsg-1ubuntu2) ...
Setting up erlang-eunit (1:20.2.2+dfsg-1ubuntu2) ...
Setting up erlang-runtime-tools (1:20.2.2+dfsg-1ubuntu2) ...
Setting up erlang-syntax-tools (1:20.2.2+dfsg-1ubuntu2) ...
Setting up erlang-odbc (1:20.2.2+dfsg-1ubuntu2) ...
Setting up libpython2.7-stdlib:amd64 (2.7.17-1~18.04ubuntu1.8) ...
Setting up erlang-parsetools (1:20.2.2+dfsg-1ubuntu2) ...
Setting up python2.7 (2.7.17-1~18.04ubuntu1.8) ...
Setting up erlang-public-key (1:20.2.2+dfsg-1ubuntu2) ...
Setting up erlang-snmp (1:20.2.2+dfsg-1ubuntu2) ...
Setting up erlang-ssl (1:20.2.2+dfsg-1ubuntu2) ...
Setting up libpython-stdlib:amd64 (2.7.15~rc1-1) ...
Setting up erlang-inets (1:20.2.2+dfsg-1ubuntu2) ...
Setting up erlang-tools (1:20.2.2+dfsg-1ubuntu2) ...
Setting up python (2.7.15~rc1-1) ...
Setting up erlang-diameter (1:20.2.2+dfsg-1ubuntu2) ...
Setting up erlang-ssh (1:20.2.2+dfsg-1ubuntu2) ...
Setting up erlang-os-mon (1:20.2.2+dfsg-1ubuntu2) ...
Setting up erlang-eldap (1:20.2.2+dfsg-1ubuntu2) ...
Setting up erlang-edoc (1:20.2.2+dfsg-1ubuntu2) ...
Setting up erlang-corba (1:20.2.2+dfsg-1ubuntu2) ...
Setting up erlang-erl-docgen (1:20.2.2+dfsg-1ubuntu2) ...
Setting up erlang-nox (1:20.2.2+dfsg-1ubuntu2) ...
Setting up rabbitmq-server (3.6.10-1ubuntu0.5) ...
Adding group `rabbitmq' (GID 116) ...
Done.
Adding system user `rabbitmq' (UID 113) ...
Adding new user `rabbitmq' (UID 113) with group `rabbitmq' ...
Not creating home directory `/var/lib/rabbitmq'.
Created symlink /etc/systemd/system/multi-user.target.wants/rabbitmq-server.service → /lib/systemd/system/rabbitmq-server.service.
Processing triggers for systemd (237-3ubuntu10.53) ...
Processing triggers for man-db (2.8.3-2ubuntu0.1) ...
Processing triggers for mime-support (3.60ubuntu1) ...
Processing triggers for ureadahead (0.100.0-21) ...
Processing triggers for libc-bin (2.27-3ubuntu1.6) ...

安装完成。